Subject: Re: [PATCH] Rename {git- => git}remote-helpers.txt

From: Jonathan Nieder <[email-masked]>
Date: Thu, 31 Jan 2013 15:04:55 -0800

Jeff King wrote:

> Maybe it is just me, but the fact that accessing the manpage is now:
>
>   man gitremote-helpers
>
> feels weird to me. I know it technically follows our syntactic rules,
> but having the lack of dash be significant between "git" and "remote",
> but then having a dash later makes it hard on the eyes.

Yes.  I have thought for years that it should be git-remote-helpers,
that "git help" should be tweaked to look for that, and that the
existing gitrepository-layout and friends should be replaced with
redirects.

I didn't say anything (except a random comment once on #git) because I
can't promise to have time soon to work on it.  Might try anyway.

Thanks,
Jonathan